> For the complete documentation index, see [llms.txt](https://rimplenet.gitbook.io/rimplenet/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://rimplenet.gitbook.io/rimplenet/api-reference/debit/create-debit.md).

# Create Debit

A debit is made on a specific User

{% hint style="info" %}

#### Must have the authorization to use this API

{% endhint %}

<mark style="color:green;">`POST`</mark> `https://example.com/wp-json/rimplenet/v1 /debits`

#### Request Body

| Name        | Type   | Description                      |
| ----------- | ------ | -------------------------------- |
| wallet\_id  | String | Id of wallet about to be debited |
| amount      | int    |                                  |
| request\_id | any    |                                  |
| user\_id    | int    |                                  |
| note        |        |                                  |

{% tabs %}
{% tab title="200: OK Transaction completed " %}

{% endtab %}

{% tab title="400: Bad Request Invalid input" %}

{% endtab %}

{% tab title="409: Conflict Transaction does not exist" %}

{% endtab %}
{% endtabs %}

{% hint style="info" %}
To view request params, click on the arrow (>) at the right-hand side of the endpoint url to expand or collapse
{% endhint %}

{% tabs %}
{% tab title="200 OK" %}

```php
{
    "status_code": 200,
    "status": true,
    "message": "Transaction Completed",
    "data": {
        "transaction_id": 459,
        "user_id": 163
    }
}
```

{% endtab %}

{% tab title="400 BAD REQUEST" %}

```php
{
    "status_code": 400,
    "status": false,
    "message": "invalid input",
    "error": {
        "user_id": "user_id cannot be zero",
        "wallet_id": "Field Cannot be empty",
        "request_id": "Field Cannot be empty",
        "amount": "Field Cannot be empty"
    }
}
```

{% endtab %}

{% tab title="409 CONFLICT " %}

```php
{
    "status_code": 409,
    "status": false,
    "message": "Transaction already exists",
    "error": {
        "txn_id": "459",
        "exist": "Transaction already executed"
    }
}
```

{% endtab %}
{% endtabs %}
